# Get base collaborators

`GET https://api.airtable.com/v0/meta/bases/{baseId}`

Returns basic information on the base. Does not include deleted collaborators and only include [outstanding](https://airtable.com/developers/web/api/org-management-glossary.md#outstanding-invite) invites.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scopes:** [`schema.bases:read`](https://airtable.com/developers/web/api/scopes.md#schema-bases-read), [`workspacesAndBases:read`](https://airtable.com/developers/web/api/scopes.md#workspaces-and-bases-read)
- **User role:** Base read-only
- **Billing plans:** All plans

## Path parameters

- `baseId: string`

## Query parameters

- `include: array<"collaborators" | "inviteLinks" | "interfaces" | "packages">` — optional

  If specified, collaborators, interfaces, inviteLinks key, and/or packages will be included in the response object. Otherwise, they will be left out.

## Response format

- `id: string` — required

  Base ID, a unique identifier for a base.

- `createdTime: string` — required

  A date timestamp in the ISO format, eg:"2018-01-01T00:00:00.000Z"

- `permissionLevel: "none" | "read" | "comment" | "edit" | "create" | "owner"` — required

  Collaborator permission level of the endpoint authenticator in the base.
  "none" for enterprise admin who is not a collaborator in the base but has permission to this endpoint.

- `workspaceId: string` — required

  ID of the workspace that contains this base.

- `name: string` — required

- `interfaces: object` — optional

  - `[key: string]: object`

    - `id: string` — required

      Interface ID (also known as `pageBundleId`)

    - `createdTime: string` — required

      A date timestamp in the ISO format, eg:"2018-01-01T00:00:00.000Z"

    - `firstPublishTime: string | null` — required

    - `name: string` — required

    - `groupCollaborators: array<Group-Collaborator>` — optional

    - `individualCollaborators: array<Individual-Collaborator>` — optional

    - `inviteLinks: array<Invite-link>` — optional

- `collaborators: object` — optional

  Please use **individualCollaborators** and **groupCollaborators** instead.

  - `baseCollaborators: array<Individual-Collaborator>` — required

  - `workspaceCollaborators: array<Individual-Collaborator>` — required

- `groupCollaborators: object` — optional

  Groups whose members are collaborating on this base.

  - `baseCollaborators: array<Group-Collaborator>` — required

  - `workspaceCollaborators: array<Group-Collaborator>` — required

- `individualCollaborators: object` — optional

  Individual users that are explicitly added as collaborators on the base.
  Does not include users that only have access via membership in a group that has been added as a collaborator.

  - `baseCollaborators: array<Individual-Collaborator>` — required

  - `workspaceCollaborators: array<Individual-Collaborator>` — required

- `packageInstallations: array<object>` — optional

  Package installations present in this base. Include this field with `include=packages`.

  - `id: string` — required

    Unique identifier for the package installation.

  - `installationType: "application" | "component"` — required

    The type of installation. See [App Library and Components](https://support.airtable.com/docs/using-app-library-and-components-in-airtable) docs.

  - `packageId: string` — required

    The package ID associated with this installation.

  - `packageReleaseId: string | null` — required

    The release ID tied to this installation. Null if the installation does not have a linked release.

- `sensitivityLabel: object` — optional

  The sensitivity label assigned to this base, if any.

  - `id: string` — required

  - `description: string` — required

  - `name: string` — required

- `inviteLinks: object` — optional

  - `baseInviteLinks: array<Invite-link>` — required

  - `workspaceInviteLinks: array<Invite-link>` — optional

### Example — Success response

```sh
curl "https://api.airtable.com/v0/meta/bases/{baseId}\
?include[]=collaborators" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "collaborators": {
    "baseCollaborators": [
      {
        "createdTime": "2019-01-03T12:33:12.421Z",
        "email": "foo@bam.com",
        "grantedByUserId": "usrL2PNC5o3H4lBEi",
        "permissionLevel": "create",
        "userId": "usrsOEchC9xuwRgKk"
      }
    ],
    "workspaceCollaborators": [
      {
        "createdTime": "2019-01-03T12:33:12.421Z",
        "email": "foo@bar.com",
        "grantedByUserId": "usrL2PNC5o3H4lBEi",
        "permissionLevel": "owner",
        "userId": "usrL2PNC5o3H4lBEi"
      }
    ]
  },
  "createdTime": "2019-01-03T12:33:12.421Z",
  "groupCollaborators": {
    "baseCollaborators": [
      {
        "createdTime": "2019-01-03T12:33:12.421Z",
        "grantedByUserId": "usrL2PNC5o3H4lBEi",
        "groupId": "ugpR8ZT9KtIgp8Bh3",
        "name": "group 2",
        "permissionLevel": "create"
      }
    ],
    "workspaceCollaborators": [
      {
        "createdTime": "2019-01-03T12:33:12.421Z",
        "grantedByUserId": "usrL2PNC5o3H4lBEi",
        "groupId": "ugp1mKGb3KXUyQfOZ",
        "name": "group 1",
        "permissionLevel": "edit"
      }
    ]
  },
  "id": "appLkNDICXNqxSDhG",
  "individualCollaborators": {
    "baseCollaborators": [
      {
        "createdTime": "2019-01-03T12:33:12.421Z",
        "email": "foo@bam.com",
        "grantedByUserId": "usrL2PNC5o3H4lBEi",
        "permissionLevel": "create",
        "userId": "usrsOEchC9xuwRgKk"
      }
    ],
    "workspaceCollaborators": [
      {
        "createdTime": "2019-01-03T12:33:12.421Z",
        "email": "foo@bar.com",
        "grantedByUserId": "usrL2PNC5o3H4lBEi",
        "permissionLevel": "owner",
        "userId": "usrL2PNC5o3H4lBEi"
      }
    ]
  },
  "interfaces": {
    "pbdyGA3PsOziEHPDE": {
      "createdTime": "2019-01-03T12:33:12.421Z",
      "firstPublishTime": "2019-01-03T12:36:12.421Z",
      "groupCollaborators": [
        {
          "createdTime": "2019-01-03T12:33:12.421Z",
          "grantedByUserId": "usrL2PNC5o3H4lBEi",
          "groupId": "ugpR8ZT9KtIgp8Bh3",
          "name": "group 2",
          "permissionLevel": "create"
        }
      ],
      "id": "pbdyGA3PsOziEHPDE",
      "individualCollaborators": [
        {
          "createdTime": "2019-01-04T12:33:12.421Z",
          "email": "bam@bam.com",
          "grantedByUserId": "usrL2PNC5o3H4lBEi",
          "permissionLevel": "edit",
          "userId": "usrGcrteE5fUMqq0R"
        }
      ],
      "inviteLinks": [
        {
          "createdTime": "2019-01-03T12:33:12.421Z",
          "id": "invJiqaXmPqq6Ec87",
          "invitedEmail": null,
          "permissionLevel": "read",
          "referredByUserId": "usrL2PNC5o3H4lBEi",
          "restrictedToEmailDomains": [],
          "type": "multiUse"
        }
      ],
      "name": "My first interface"
    }
  },
  "inviteLinks": {
    "baseInviteLinks": [
      {
        "createdTime": "2019-01-03T12:33:12.421Z",
        "id": "invJiqaXmPqq6Ec87",
        "invitedEmail": null,
        "permissionLevel": "read",
        "referredByUserId": "usrsOEchC9xuwRgKk",
        "restrictedToEmailDomains": [
          "bam.com"
        ],
        "type": "multiUse"
      }
    ],
    "workspaceInviteLinks": [
      {
        "createdTime": "2019-01-03T12:33:12.421Z",
        "id": "invJiqaXmPqq6Ec87",
        "invitedEmail": "bam@bam.com",
        "permissionLevel": "edit",
        "referredByUserId": "usrL2PNC5o3H4lBEi",
        "restrictedToEmailDomains": [],
        "type": "singleUse"
      }
    ]
  },
  "name": "my first base",
  "permissionLevel": "none",
  "workspaceId": "wspmhESAta6clCCwF"
}
```
